@echo off

rem ---------------------------------------------------------------------------
rem Please customize following variables for your environment.
rem
rem Setup the path INSTALL_DIR to the COM/Recon install path
rem (This is the directory containing a 'README_FIRST.txt' file)
rem **** PLEASE AVOID BLANKS IN THIS INSTALLATION PATH ! ****
set INSTALL_DIR=
rem
rem Setup the NX installation path, typically like: C:\Progra~1\Siemens\NX2306
rem IT IS HIGHLY RECOMMENDED TO HAVE NX INSTALLED IN A PATH NOT CONTAINING BLANKS !
rem ----------------------------------------------------
set UGII_BASE_DIR=
set UGII_ENV_SCRIPT=%UGII_BASE_DIR%\UGII\ugiicmd.bat
rem
rem STOP EDIT HERE
rem -------------------------------------------------------

set USAGE1="@@ INFO    : Usage: COMReconNX <Full path of option file>"
set USAGE2="@@ INFO    : Please quote 'blanky' paths and avoid uppercase/lowercase differences !"

if EXIST %1% GOTO CONTINUE1
echo %USAGE1%
echo %USAGE2%
echo "@@ WARNING : Option file >%1%< does not exist"
GOTO END
:CONTINUE1

rem ----------------------------------------------------
rem Platform settings
rem ----------------------------------------------------
set OS=win_b64
set CXP_OSTYPE=win64

rem ----------------------------------------------------
rem Setup the path EXECUTABLE_DIR to the CxpSynchX.exe executable
rem ----------------------------------------------------
set EXECUTABLE_DIR=%INSTALL_DIR%\%OS%
set EXECUTABLE=%EXECUTABLE_DIR%\CxpSynchX.exe

IF EXIST %EXECUTABLE% GOTO CONTINUE5
echo "@@ WARNING : Exectutable >%EXECUTABLE%< does not exist"
echo "@@ WARNING : Please adjust the variable INSTALL_DIR in this script"
GOTO END
:CONTINUE5

set ALLOPTIONS=%1%
set FULLSUBCOMMAND=%EXECUTABLE% %ALLOPTIONS%

IF EXIST %UGII_ENV_SCRIPT% GOTO CONTINUE3
echo "@@ WARNING : Environment script >%UGII_ENV_SCRIPT%< does not exist"
echo "@@ WARNING : Please adjust the variable UGII_BASE_DIR"
GOTO END
:CONTINUE3

rem for non-geometric (ngc) components (#6200)
set UGII_ALLOW_NGC_IN_UGOPEN=YES

call %UGII_BASE_DIR%\UGII\ugiicmd.bat %UGII_BASE_DIR%

rem ---------------------------------------------------
rem Extend the PATH to COM/Recon installation
rem ---------------------------------------------------
set PATH=%PATH%;%EXECUTABLE_DIR%;

rem ----------------------------------------------------
rem Finally do the deed!
rem ----------------------------------------------------
echo @@ INFO    : --------------------------------------
echo @@ INFO    : Starting the process: 
echo @@ INFO    : %FULLSUBCOMMAND%
echo @@ INFO    : --------------------------------------

%FULLSUBCOMMAND%


:END
echo "@@ INFO    : Done with COMReconNX.bat ..."


